MvcHoaKhoi/MvcThienThaoNguyen/Controllers/commonController.cs
using Insya.Localization;
using MvcWebsiteOcc.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcWebsiteOcc.Areas.administrators.Models;
using reCAPTCHA.MVC;
using System.IO;

namespace MvcWebsiteOcc.Controllers
{
    public class commonController : Controller
    {
        private readonly OccDBEntities occSysDB = new OccDBEntities();
        string langCode = Localization.Get("lng").ToLower();

        /// <summary>
        /// Header
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_header()
        {
            //get lang
            var lang = occSysDB.Languages.ToList();
            //get view of website detail
            var webdetail = occSysDB.WebsiteDetails.ToList();
            ViewBag.WebDetail = webdetail;

            //get a list of news cate
            var newscate = occSysDB.NewsCategories.Where(p => p.IsActive == true && p.TID == 1 && p.ParentID==0).OrderBy(p => p.SortOrder).ToList();
            ViewBag.NewsCate = newscate;

            //get a list of news cate
            var videocate = occSysDB.NewsCategories.Where(p => p.IsActive == true && p.TID == 2 && p.ParentID == 0).OrderBy(p => p.SortOrder).ToList();
            ViewBag.VideoCate = videocate;

            //get a list of news cate
            var albumcate = occSysDB.AlbumsCategories.Where(p => p.IsActive == true).OrderBy(p => p.SortOrder).ToList();
            ViewBag.AlbumCate = albumcate;

            //a fuking view
            return PartialView(lang);
        }
        public ActionResult _details_header()
        {
            //get lang
            var lang = occSysDB.Languages.ToList();
            //oh, website detail will be get here
            ViewBag.WebDetail = occSysDB.WebsiteDetails.FirstOrDefault();
            //and a fuking view
            return PartialView(lang);
        }
        /// <summary>
        /// Header
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_footer()
        {
            //bull shit, get website detail again
            var detail = occSysDB.WebsiteDetails.FirstOrDefault();
            //damn, this is a view
            return PartialView(detail);
        }
        /// <summary>
        /// Slide
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_slide()
        {
            //get list slider, ok?
            var list = occSysDB.Sliders.Where(p => p.IsActive == true && p.Language.Lang_Code == langCode).OrderBy(p=>p.SortOrder).ToList();

            return PartialView(list);

        }

        /// <summary>
        /// Slide news
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_slide_news()
        {
            //get list slider, ok?
            var list = occSysDB.News.Where(p => p.IsActive == true && p.Language.Lang_Code == langCode && p.IsHome == true).OrderByDescending(p => p.CreateDate).ToList();

            return PartialView(list);

        }
        /// <summary>
        /// car service
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_car_services()
        {
            //get list
            var list = occSysDB.CarServices.Where(p => p.IsActive == true && p.Language.Lang_Code == langCode).OrderBy(p => p.SortOrder).ToList();
            //this is a view
            return PartialView(list);
        }
        /// <summary>
        /// About
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_about()
        {
            //get website detail, i don't remember i have get it how many time ?
            var detail = occSysDB.WebsiteDetails.FirstOrDefault();
            //image about
            var imageAbouts = occSysDB.AboutSliders.OrderBy(p => p.SortOrder).ToList();
            //file download
            var brochures = occSysDB.FileDownloads.OrderBy(p => p.SortOrder).Where(p => p.Language.Lang_Code == langCode).ToList();

            //set it somewhere
            ViewBag.Images = imageAbouts;
            ViewBag.Brochures = brochures;
            return PartialView(detail);
        }
        /// <summary>
        /// Customer service
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_customer_service()
        {
            var cusStaffs = occSysDB.StaffViews.FirstOrDefault(p => p.ViewType == 2);
            var list = cusStaffs.Staffs.ToList();
            return PartialView(list);

        }
        /// <summary>
        /// Best car
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_best_car()
        {
            //get list
            var list = occSysDB.CarModels.Where(p => p.Language.Lang_Code == langCode).ToList();

            ViewBag.ViewVipCars = occSysDB.CarViewTypes.Where(p => p.ViewType == 1).ToList();
            ViewBag.ViewLoveCars = occSysDB.CarViewTypes.Where(p => p.ViewType == 2).ToList();
            ViewBag.ViewEcomicCars = occSysDB.CarViewTypes.Where(p => p.ViewType == 3).ToList();

            return PartialView(list);
        }
        /// <summary>
        /// All car
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_all_cars()
        {
            var list = occSysDB.CarTypes.Where(p => p.Language.Lang_Code == langCode).OrderBy(p => p.SortOrder).ToList();
            return PartialView(list);
        }
        /// <summary>
        /// Renderscript for all car
        /// </summary>
        /// <returns></returns>
        public ActionResult _renderscript()
        {
            var xeslide = occSysDB.CarModels.Where(p => p.Language.Lang_Code == langCode).ToList();
            return PartialView(xeslide);
        }
        /// <summary>
        /// Hot line
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_hotline()
        {
            var list = occSysDB.HotLines.Where(p => p.Language.Lang_Code == langCode).OrderBy(p => p.SortOrder).ToList();
            var web = occSysDB.WebsiteDetails.FirstOrDefault();
            List<string> mails = web.Email.Split('|').ToList();

            ViewBag.Mail = mails[1];

            return PartialView(list);
        }
        /// <summary>
        /// All Staff
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_all_staffs()
        {
            var driverStaffs = occSysDB.StaffViews.FirstOrDefault(p => p.ViewType == 3);
            ViewBag.Drivers = driverStaffs.Staffs.Where(p => p.Language.Lang_Code == langCode).ToList();
            var staffs = occSysDB.Staffs.Where(p => p.StaffViews.Count == 0).ToList();

            return PartialView(staffs);
        }
        /// <summary>
        /// Right Staff
        /// </summary>
        /// <returns></returns>
        public ActionResult _right_sidebar_staff()
        {
            var deps = occSysDB.Departments.Where(p => p.Language.Lang_Code == langCode).ToList();
            return PartialView(deps);
        }
        /// <summary>
        /// Right Car
        /// </summary>
        /// <returns></returns>
        public ActionResult _right_sidebar_car()
        {
            var cates = occSysDB.CarTypes.Where(p => p.Language.Lang_Code == langCode).ToList();
            return PartialView(cates);
        }
        /// <summary>
        /// Top Car
        /// </summary>
        /// <returns></returns>
        public ActionResult _top_car()
        {
            var list = occSysDB.CarModels.Where(p => p.Language.Lang_Code == langCode).ToList();
            return PartialView(list);
        }
        /// <summary>
        /// Right news
        /// </summary>
        /// <returns></returns>
        public ActionResult _right_sidebar_news()
        {
            var cates = occSysDB.NewsCategories.Where(p => p.Language.Lang_Code == langCode).ToList();
            ViewBag.AllCates = occSysDB.NewsCategories.ToList();
            return PartialView(cates);
        }
        /// <summary>
        /// Right menu hotline
        /// </summary>
        /// <returns></returns>
        public ActionResult _right_sidebar_hotline()
        {
            ViewBag.WebDetail = occSysDB.WebsiteDetails.FirstOrDefault();
            var listViews = occSysDB.HotLines.Where(p => p.Language.Lang_Code == langCode).ToList();
            return PartialView(listViews);
        }
        /// <summary>
        /// Hot News
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_hot_news()
        {
            var list = occSysDB.News.OrderByDescending(p => p.CreateDate).Where(p => p.Language.Lang_Code == langCode && p.IsHot == true && p.NewsCategories.TID == 1).ToList();
            //if (list.Count == 0)
            //{
            //    list = occSysDB.News.ToList();
            //}
            return PartialView(list);
        }
        public ActionResult _hot_news()
        {
            var list = occSysDB.News.Where(p => p.Language.Lang_Code == langCode).ToList();
            return PartialView(list);
        }
        /// <summary>
        /// Hot News
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_events()
        {
            var list = occSysDB.Events.OrderByDescending(p => p.TimeStart).Where(p => p.Language.Lang_Code == langCode).Take(6).ToList();
            return PartialView(list);
        }
        /// <summary>
        /// Hot News
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_albums()
        {
            var list = occSysDB.Albums.Where(p => p.Language.Lang_Code == langCode).OrderByDescending(p=>p.CreateDate).Take(6).ToList();
            return PartialView(list);
        }
        /// <summary>
        /// Hot News
        /// </summary>
        /// <returns></returns>
        public ActionResult _home_clips()
        {

MvcHoaKhoi/MvcThienThaoNguyen/Controllers/faqsController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MvcWebsiteOcc.Controllers
{
    public class faqsController : Controller
    {
        //
        // GET: /faqs/

        public ActionResult index()
        {
            return View();
        }

    }
}

MvcHoaKhoi/MvcThienThaoNguyen/Views/faqs/index.cshtml
@{
    if (Localization.Get("lng") == "VI")
    {
        ViewBag.Title = "Hỏi đáp";
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    else
    {
        ViewBag.Title = "FAQS";
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    Layout = "~/Views/Shared/_LayoutDetailPage.cshtml";
}
<section class="page-section with-sidebar">
    <div class="container">
        <div class="row">
            <!-- CONTENT -->
            <div class="col-md-9 content" id="content">

                <!-- FAQ -->
                <div class="panel-group accordion" id="accordion" role="tablist" aria-multiselectable="true">
                    <!-- faq1 -->
                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="heading1">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion" href="#collapse1" aria-expanded="true" aria-controls="collapse1" class="collapsed">
                                    <span class="dot"></span>Tôi có thể Đặt xe bằng cách nào?
                                </a>
                            </h4>
                        </div>
                        <div id="collapse1" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading1">
                            <div class="panel-body text_align_j">
                                1. Nhấn vào “Đặt xe” của website :www.xedichvu.vn và đăng kí dịch vụ. Đây là cách đặt thuê xe nhanh nhất.<br />
                                2. Bạn cũng có thể gửi email hoặc gọi số liên hệ thuê xe trên website. Nhân viên kinh doanh sẽ lấy thông tin chuyến đi  báo giá cho bạn, nếu bạn đồng ý về giá cả, chúng tôi sẽ xin thông tin từ bạn để tiến hành làm hợp đồng. Nếu bạn không thể đến công ty để kí hợp đồng thì nhân viên kinh doanh sẽ đến tận địa chỉ nhà bạn, hoặc ký hợp đồng qua Email, Fax.
                                           
                            </div>
                        </div>
                    </div>
                    <!-- /faq1 -->
                    <!-- faq2 -->
                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="heading2">
                            <h4 class="panel-title">
                                <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse2" aria-expanded="false" aria-controls="collapse2">
                                    <span class="dot"></span>Tại sao tôi nên thuê xe của xedichvu.vn?
                                </a>
                            </h4>
                        </div>
                        <div id="collapse2" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading2">
                            <div class="panel-body text_align_j">
                                Thuê xe của xedichvu.vn là khách hàng đã được hưởng những lợi ích to lớn, bao gồm:<br />
                                Giá rẻ so với các nhà cung cấp cùng dịch vụ<br />
                                Qui trình Đặt xe nhanh chóng và Minh bạh trong giao dịch và thanh toán<br />
                                Tiện lợi: Lái xe nhận và giao xe, lái xe đón bạn tại khách sạn, nơi họp hoặc bất kì nơi nào bạn yêu cầu.<br />
                                Không còn lo lắng: Lái xe có hiểu biết về địa phương và quen thuộc với các lịch trình ngắn nhất.<br />
                                An toàn: Hiểu biết về phương tiện để đáp ứng yêu cầu của bạn và hỗ trợ bạn nhu cầu về an ninh.<br />
                                Giá trị khác: Tiết kiệm đến 10 –20 %.<br />
                                Linh hoạt: Bạn có thể yêu cầu lái xe phục vụ bạn suốt thời gian thuê xe hoặc yêu cầu theo ngày, cả ngày hoặc một vài ngày.<br />
                                Chứng nhận, Bảo hiểm và Đào tạo toàn diện: Đảm bảo cho sự an tòan cá nhân và trách nhiệm của khách hàng.<br />
                                Dịch vụ chăm sóc khách hàng 24/7, và thêm nhiều dịch vụ khác nữa….
                                           
                            </div>
                        </div>
                    </div>
                    <!-- /faq2 -->
                    <!-- faq3 -->
                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="heading3">
                            <h4 class="panel-title">
                                <a class="collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse3" aria-expanded="false" aria-controls="collapse3">
                                    <span class="dot"></span>Tôi có thể đặt thuê xe trong khoảng thời gian như thế nào?
                                </a>
                            </h4>
                        </div>
                        <div id="collapse3" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading3">
                            <div class="panel-body text_align_j">
                                Tất cả các yêu cầu thuê xe đều phải thực hiện trước ít nhất là 24 giờ đồng hồ và có thể đặt trước 3 tháng.
                                           
                            </div>
                        </div>
                    </div>
                    <!-- /faq3 -->
                    <!-- faq1 -->
                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="heading21">
                            <h4 class="panel-title">
                                <a class="collapsed" data-toggle="collapse" data-parent="#accordion2" href="#collapse21" aria-expanded="false" aria-controls="collapse21">
                                    <span class="dot"></span>Tại sao bạn phải đặt cọc khi sử dụng dịch vụ của xedichvu.vn?
                                </a>
                            </h4>
                        </div>
                        <div id="collapse21" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading21">
                            <div class="panel-body text_align_j">
                                Chúng tôi giử tiền đặt cọc của bạn như một thiện chí và sự chắc chắn để tạo niềm tin hợp tác nhằm đảm bảo dịch vụ sẽ được thực hiện theo hợp đồng đã ký.
                                           
                            </div>
                        </div>
                    </div>
                    <!-- /faq1 -->
                    <!-- faq2 -->
                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="heading22">
                            <h4 class="panel-title">
                                <a data-toggle="collapse" data-parent="#accordion2" href="#collapse22" aria-expanded="true" aria-controls="collapse22" class="collapsed">
                                    <span class="dot"></span>Chất lượng xe và sự phục vụ của tài xế xedichvu.vn như thế nào?
                                </a>
                            </h4>
                        </div>
                        <div id="collapse22" class="panel-collapse collapse " role="tabpanel" aria-labelledby="heading22">
                            <div class="panel-body text_align_j">
                                Để phục vụ khách hàng tốt hơn, xedichvu.vn tuyển chọn những tài xế từ 25 đến 35 tuổi và có nhiều kinh nghiệm trong ngành, tiếng Anh giao cơ bản và xe xedichvu.vn là xe kinh doanh nên được bảo trì, bảo dưỡng thường xuyên và xe của xedichvu.vn 90%- 100% là xe đời mới có máy lạnh, đầu đĩa, micro, tivi đầy đủ nên bạn yên tâm khi sử dụng dịch vụ tại xedichvu.vn
                                           
                            </div>
                        </div>
                    </div>
                    <!-- /faq2 -->
                    <!-- faq3 -->
                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="heading23">
                            <h4 class="panel-title">
                                <a class="collapsed" data-toggle="collapse" data-parent="#accordion2" href="#collapse23" aria-expanded="false" aria-controls="collapse23">
                                    <span class="dot"></span>Tôi có thể gặp lái xe của mình tại đâu trong sân bay?
                                </a>
                            </h4>
                        </div>
                        <div id="collapse23" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading23">
                            <div class="panel-body text_align_j">
                                Chúng tôi đón khách hàng tại khu vực “Đón khách” tại sân bay. Lái xe hoặc nhân viên đón bạn sẽ mang biển đón có tên bạn hoặc tên công ty bạn tại nơi dễ nhận biết. Tại các sân bay tư nhân, chúng tôi đã được cấp phép đón khách hàng tại đường bay.
                                           
                            </div>
                        </div>
                    </div>
                    <!-- /faq3 -->

                </div>
                <!-- /FAQ -->

            </div>
            <!-- /CONTENT -->

            @{Html.RenderAction("_right_sidebar_news", "common");}

        </div>
    </div>
</section>